/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2020 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.entypo;

import org.kordamp.ikonli.Ikon;

/**
 * @author Loïc Sculier aka typhon0
 */
public enum Entypo implements Ikon {
    // last is ea9a
    ADDRESS("enty-address",'\ue929'),
    ADD_TO_LIST("enty-add-to-list",'\uea2f'),
    ADD_USER("enty-add-user",'\ue900'),
    ADJUST("enty-adjust",'\ue987'),
    AIR("enty-air",'\ue960'),
    AIRCRAFT("enty-aircraft",'\ue94f'),
    AIRCRAFT_LANDING("enty-aircraft-landing",'\ue952'),
    AIRCRAFT_TAKE_OFF("enty-aircraft-take-off",'\ue951'),
    ALIGN_BOTTOM("enty-align-bottom",'\ue9c5'),
    ALIGN_HORIZONTAL_MIDDLE("enty-align-horizontal-middle",'\ue9c8'),
    ALIGN_LEFT("enty-align-left",'\ue9c4'),
    ALIGN_RIGHT("enty-align-right",'\ue9c7'),
    ALIGN_TOP("enty-align-top",'\ue9c6'),
    ALIGN_VERTICAL_MIDDLE("enty-align-vertical-middle",'\ue9c9'),
    APP_STORE("enty-app-store",'\uea92'),
    ARCHIVE("enty-archive",'\ue9e6'),
    AREA_GRAPH("enty-area-graph",'\ue9a1'),
    ARROW_BOLD_DOWN("enty-arrow-bold-down",'\uea06'),
    ARROW_BOLD_LEFT("enty-arrow-bold-left",'\uea05'),
    ARROW_BOLD_RIGHT("enty-arrow-bold-right",'\uea08'),
    ARROW_BOLD_UP("enty-arrow-bold-up",'\uea07'),
    ARROW_DOWN("enty-arrow-down",'\uea0a'),
    ARROW_LEFT("enty-arrow-left",'\uea09'),
    ARROW_LONG_DOWN("enty-arrow-long-down",'\uea26'),
    ARROW_LONG_LEFT("enty-arrow-long-left",'\uea25'),
    ARROW_LONG_RIGHT("enty-arrow-long-right",'\uea28'),
    ARROW_LONG_UP("enty-arrow-long-up",'\uea27'),
    ARROW_RIGHT("enty-arrow-right",'\uea0c'),
    ARROW_UP("enty-arrow-up",'\uea0b'),
    ARROW_WITH_CIRCLE_DOWN("enty-arrow-with-circle-down",'\uea0e'),
    ARROW_WITH_CIRCLE_LEFT("enty-arrow-with-circle-left",'\uea0d'),
    ARROW_WITH_CIRCLE_RIGHT("enty-arrow-with-circle-right",'\uea10'),
    ARROW_WITH_CIRCLE_UP("enty-arrow-with-circle-up",'\uea0f'),
    ATTACHMENT("enty-attachment",'\ue928'),
    AWARENESS_RIBBON("enty-awareness-ribbon",'\ue93d'),
    BACK("enty-back",'\ue9bd'),
    BACK_IN_TIME("enty-back-in-time",'\ue9c3'),
    BAIDU("enty-baidu",'\uea96'),
    BAR_GRAPH("enty-bar-graph",'\ue9a0'),
    BASECAMP("enty-basecamp",'\uea87'),
    BATTERY("enty-battery",'\ue969'),
    BEAMED_NOTE("enty-beamed-note",'\ue944'),
    BEHANCE("enty-behance",'\uea83'),
    BELL("enty-bell",'\ue933'),
    BLACKBOARD("enty-blackboard",'\ue94b'),
    BLOCK("enty-block",'\ue9b3'),
    BOOK("enty-book",'\ue94c'),
    BOOKMARK("enty-bookmark",'\ue9f1'),
    BOOKMARKS("enty-bookmarks",'\ue9f2'),
    BOWL("enty-bowl",'\ue95e'),
    BOX("enty-box",'\ue997'),
    BRIEFCASE("enty-briefcase",'\ue95f'),
    BROWSER("enty-browser",'\ue97f'),
    BRUSH("enty-brush",'\ue974'),
    BUCKET("enty-bucket",'\ue96a'),
    BUG("enty-bug",'\uea3a'),
    CAKE("enty-cake",'\ue96d'),
    CALCULATOR("enty-calculator",'\ue931'),
    CALENDAR("enty-calendar",'\ue95a'),
    CAMERA("enty-camera",'\ue93b'),
    CCW("enty-ccw",'\ue9b9'),
    CHAT("enty-chat",'\ue927'),
    CHECK("enty-check",'\ue9a8'),
    CHEVRON_DOWN("enty-chevron-down",'\uea16'),
    CHEVRON_LEFT("enty-chevron-left",'\uea15'),
    CHEVRON_RIGHT("enty-chevron-right",'\uea18'),
    CHEVRON_SMALL_DOWN("enty-chevron-small-down",'\uea1a'),
    CHEVRON_SMALL_LEFT("enty-chevron-small-left",'\uea19'),
    CHEVRON_SMALL_RIGHT("enty-chevron-small-right",'\uea1c'),
    CHEVRON_SMALL_UP("enty-chevron-small-up",'\uea1b'),
    CHEVRON_THIN_DOWN("enty-chevron-thin-down",'\uea1e'),
    CHEVRON_THIN_LEFT("enty-chevron-thin-left",'\uea1d'),
    CHEVRON_THIN_RIGHT("enty-chevron-thin-right",'\uea20'),
    CHEVRON_THIN_UP("enty-chevron-thin-up",'\uea1f'),
    CHEVRON_UP("enty-chevron-up",'\uea17'),
    CHEVRON_WITH_CIRCLE_DOWN("enty-chevron-with-circle-down",'\uea22'),
    CHEVRON_WITH_CIRCLE_LEFT("enty-chevron-with-circle-left",'\uea21'),
    CHEVRON_WITH_CIRCLE_RIGHT("enty-chevron-with-circle-right",'\uea24'),
    CHEVRON_WITH_CIRCLE_UP("enty-chevron-with-circle-up",'\uea23'),
    CIRCLE("enty-circle",'\ue9bb'),
    CIRCLE_WITH_CROSS("enty-circle-with-cross",'\ue9af'),
    CIRCLE_WITH_MINUS("enty-circle-with-minus",'\ue9ad'),
    CIRCLE_WITH_PLUS("enty-circle-with-plus",'\ue9ae'),
    CIRCULAR_GRAPH("enty-circular-graph",'\ue9a2'),
    CLAPPERBOARD("enty-clapperboard",'\ue946'),
    CLASSIC_COMPUTER("enty-classic-computer",'\uea32'),
    CLIPBOARD("enty-clipboard",'\ue995'),
    CLOCK("enty-clock",'\ue957'),
    CLOUD("enty-cloud",'\ue9ee'),
    CODE("enty-code",'\ue989'),
    COG("enty-cog",'\ue936'),
    COLOURS("enty-colours",'\ue964'),
    COMPASS("enty-compass",'\ue926'),
    CONTROLLER_FAST_BACKWARD("enty-controller-fast-backward",'\uea30'),
    CONTROLLER_FAST_FORWARD("enty-controller-fast-forward",'\ue9f8'),
    CONTROLLER_JUMP_TO_START("enty-controller-jump-to-start",'\ue9f9'),
    CONTROLLER_NEXT("enty-controller-next",'\ue9fa'),
    CONTROLLER_PAUS("enty-controller-paus",'\ue9f5'),
    CONTROLLER_PLAY("enty-controller-play",'\ue9f4'),
    CONTROLLER_RECORD("enty-controller-record",'\ue9f6'),
    CONTROLLER_STOP("enty-controller-stop",'\ue9f7'),
    CONTROLLER_VOLUME("enty-controller-volume",'\ue9fd'),
    COPY("enty-copy",'\ue9d9'),
    CREATIVE_CLOUD("enty-creative-cloud",'\uea86'),
    CREATIVE_COMMONS("enty-creative-commons",'\uea41'),
    CREATIVE_COMMONS_ATTRIBUTION("enty-creative-commons-attribution",'\uea40'),
    CREATIVE_COMMONS_NODERIVS("enty-creative-commons-noderivs",'\uea48'),
    CREATIVE_COMMONS_NONCOMMERCIAL_EU("enty-creative-commons-noncommercial-eu",'\uea47'),
    CREATIVE_COMMONS_NONCOMMERCIAL_US("enty-creative-commons-noncommercial-us",'\uea46'),
    CREATIVE_COMMONS_PUBLIC_DOMAIN("enty-creative-commons-public-domain",'\uea45'),
    CREATIVE_COMMONS_REMIX("enty-creative-commons-remix",'\uea44'),
    CREATIVE_COMMONS_SHARE("enty-creative-commons-share",'\uea43'),
    CREATIVE_COMMONS_SHAREALIKE("enty-creative-commons-sharealike",'\uea42'),
    CREDIT("enty-credit",'\ue955'),
    CREDIT_CARD("enty-credit-card",'\ue98d'),
    CROP("enty-crop",'\uea3e'),
    CROSS("enty-cross",'\ue9a9'),
    CUP("enty-cup",'\ue970'),
    CW("enty-cw",'\ue9ba'),
    CYCLE("enty-cycle",'\ue9b8'),
    DATABASE("enty-database",'\ue996'),
    DIAL_PAD("enty-dial-pad",'\ue993'),
    DIRECTION("enty-direction",'\ue925'),
    DOCUMENT("enty-document",'\ue9d4'),
    DOCUMENTS("enty-documents",'\ue9d5'),
    DOCUMENT_LANDSCAPE("enty-document-landscape",'\uea33'),
    DOTS_THREE_HORIZONTAL("enty-dots-three-horizontal",'\uea2e'),
    DOTS_THREE_VERTICAL("enty-dots-three-vertical",'\uea2a'),
    DOTS_TWO_HORIZONTAL("enty-dots-two-horizontal",'\uea2d'),
    DOTS_TWO_VERTICAL("enty-dots-two-vertical",'\uea2b'),
    DOT_SINGLE("enty-dot-single",'\uea2c'),
    DOWNLOAD("enty-download",'\ue9ea'),
    DRIBBBLE("enty-dribbble",'\uea5c'),
    DRIBBBLE_WITH_CIRCLE("enty-dribbble-with-circle",'\uea5d'),
    DRINK("enty-drink",'\ue942'),
    DRIVE("enty-drive",'\ue96e'),
    DROP("enty-drop",'\ue95c'),
    DROPBOX("enty-dropbox",'\uea74'),
    EDIT("enty-edit",'\ue924'),
    EMAIL("enty-email",'\ue923'),
    EMOJI_FLIRT("enty-emoji-flirt",'\ue9e7'),
    EMOJI_HAPPY("enty-emoji-happy",'\ue9cc'),
    EMOJI_NEUTRAL("enty-emoji-neutral",'\ue9cd'),
    EMOJI_SAD("enty-emoji-sad",'\ue9ce'),
    ERASE("enty-erase",'\ue9b2'),
    ERASER("enty-eraser",'\ue97d'),
    EVERNOTE("enty-evernote",'\uea97'),
    EXPORT("enty-export",'\ue922'),
    EYE("enty-eye",'\ue954'),
    EYE_WITH_LINE("enty-eye-with-line",'\uea36'),
    FACEBOOK("enty-facebook",'\uea53'),
    FACEBOOK_WITH_CIRCLE("enty-facebook-with-circle",'\uea54'),
    FEATHER("enty-feather",'\ue921'),
    FINGERPRINT("enty-fingerprint",'\uea3c'),
    FIVE_HUNDRED_PX("enty-five-hundred-px",'\uea6d'),
    FIVE_HUNDRED_PX_WITH_CIRCLE("enty-five-hundred-px-with-circle",'\uea6e'),
    FLAG("enty-flag",'\ue935'),
    FLASH("enty-flash",'\ue959'),
    FLASHLIGHT("enty-flashlight",'\ue930'),
    FLATTR("enty-flattr",'\uea79'),
    FLAT_BRUSH("enty-flat-brush",'\ue97b'),
    FLICKR("enty-flickr",'\uea4b'),
    FLICKR_WITH_CIRCLE("enty-flickr-with-circle",'\uea4c'),
    FLOWER("enty-flower",'\uea37'),
    FLOW_BRANCH("enty-flow-branch",'\uea01'),
    FLOW_CASCADE("enty-flow-cascade",'\uea00'),
    FLOW_LINE("enty-flow-line",'\uea03'),
    FLOW_PARALLEL("enty-flow-parallel",'\uea04'),
    FLOW_TREE("enty-flow-tree",'\uea02'),
    FOLDER("enty-folder",'\ue9df'),
    FOLDER_IMAGES("enty-folder-images",'\ue9e0'),
    FOLDER_MUSIC("enty-folder-music",'\ue9e1'),
    FOLDER_VIDEO("enty-folder-video",'\ue9e2'),
    FORWARD("enty-forward",'\ue920'),
    FOURSQUARE("enty-foursquare",'\uea7a'),
    FUNNEL("enty-funnel",'\ue96b'),
    GAME_CONTROLLER("enty-game-controller",'\ue96f'),
    GAUGE("enty-gauge",'\ue963'),
    GITHUB("enty-github",'\uea49'),
    GITHUB_WITH_CIRCLE("enty-github-with-circle",'\uea4a'),
    GLOBE("enty-globe",'\ue977'),
    GOOGLE_DRIVE("enty-google-drive",'\uea7f'),
    GOOGLE_HANGOUTS("enty-google-hangouts",'\uea77'),
    GOOGLE_PLAY("enty-google-play",'\uea93'),
    GOOGLE_PLUS("enty-google-plus",'\uea56'),
    GOOGLE_PLUS_WITH_CIRCLE("enty-google-plus-with-circle",'\uea55'),
    GRADUATION_CAP("enty-graduation-cap",'\ue94a'),
    GRID("enty-grid",'\ue9d2'),
    GROOVESHARK("enty-grooveshark",'\uea72'),
    HAIR_CROSS("enty-hair-cross",'\ue91f'),
    HAND("enty-hand",'\ue956'),
    HEART("enty-heart",'\ue91d'),
    HEART_OUTLINED("enty-heart-outlined",'\ue91e'),
    HELP("enty-help",'\ue9b5'),
    HELP_WITH_CIRCLE("enty-help-with-circle",'\ue9b6'),
    HOME("enty-home",'\ue92d'),
    HOUR_GLASS("enty-hour-glass",'\ue961'),
    HOUZZ("enty-houzz",'\uea95'),
    ICLOUD("enty-icloud",'\uea73'),
    IMAGE("enty-image",'\ue9da'),
    IMAGES("enty-images",'\ue9dc'),
    IMAGE_INVERTED("enty-image-inverted",'\ue9db'),
    INBOX("enty-inbox",'\ue91c'),
    INFINITY("enty-infinity",'\ue98b'),
    INFO("enty-info",'\ue9b4'),
    INFO_WITH_CIRCLE("enty-info-with-circle",'\ue9b7'),
    INSTAGRAM("enty-instagram",'\uea99'),
    INSTAGRAM_WITH_CIRCLE("enty-instagram-with-circle",'\uea9a'),
    INSTALL("enty-install",'\ue9ec'),
    KEY("enty-key",'\ue967'),
    KEYBOARD("enty-keyboard",'\ue979'),
    LAB_FLASK("enty-lab-flask",'\ue972'),
    LANDLINE("enty-landline",'\ue91b'),
    LANGUAGE("enty-language",'\ue965'),
    LAPTOP("enty-laptop",'\ue91a'),
    LASTFM("enty-lastfm",'\uea61'),
    LASTFM_WITH_CIRCLE("enty-lastfm-with-circle",'\uea60'),
    LAYERS("enty-layers",'\ue9f0'),
    LEAF("enty-leaf",'\ue940'),
    LEVEL_DOWN("enty-level-down",'\ue9be'),
    LEVEL_UP("enty-level-up",'\ue9bf'),
    LIFEBUOY("enty-lifebuoy",'\ue953'),
    LIGHT_BULB("enty-light-bulb",'\ue98c'),
    LIGHT_DOWN("enty-light-down",'\ue985'),
    LIGHT_UP("enty-light-up",'\ue986'),
    LINE_GRAPH("enty-line-graph",'\ue99e'),
    LINK("enty-link",'\ue934'),
    LINKEDIN("enty-linkedin",'\uea98'),
    LINKEDIN_WITH_CIRCLE("enty-linkedin-with-circle",'\uea5b'),
    LIST("enty-list",'\ue9d1'),
    LOCATION("enty-location",'\ue918'),
    LOCATION_PIN("enty-location-pin",'\ue919'),
    LOCK("enty-lock",'\ue9a3'),
    LOCK_OPEN("enty-lock-open",'\ue9a4'),
    LOGIN("enty-login",'\ue9a5'),
    LOG_OUT("enty-log-out",'\ue9a6'),
    LOOP("enty-loop",'\ue9c0'),
    MAGNET("enty-magnet",'\ue96c'),
    MAGNIFYING_GLASS("enty-magnifying-glass",'\ue92f'),
    MAIL("enty-mail",'\ue917'),
    MAIL_WITH_CIRCLE("enty-mail-with-circle",'\uea91'),
    MAN("enty-man",'\ue941'),
    MAP("enty-map",'\ue916'),
    MASK("enty-mask",'\ue9e4'),
    MEDAL("enty-medal",'\ue948'),
    MEDIUM("enty-medium",'\uea90'),
    MEDIUM_WITH_CIRCLE("enty-medium-with-circle",'\uea8f'),
    MEGAPHONE("enty-megaphone",'\ue93c'),
    MENU("enty-menu",'\ue9d3'),
    MERGE("enty-merge",'\uea35'),
    MESSAGE("enty-message",'\ue92a'),
    MIC("enty-mic",'\ue958'),
    MINUS("enty-minus",'\ue9b0'),
    MIXI("enty-mixi",'\uea82'),
    MOBILE("enty-mobile",'\ue915'),
    MODERN_MIC("enty-modern-mic",'\ue945'),
    MOON("enty-moon",'\ue93e'),
    MOUSE("enty-mouse",'\ue914'),
    MOUSE_POINTER("enty-mouse-pointer",'\uea3d'),
    MUSIC("enty-music",'\ue9de'),
    NETWORK("enty-network",'\ue966'),
    NEW("enty-new",'\ue949'),
    NEWS("enty-news",'\ue94e'),
    NEWSLETTER("enty-newsletter",'\uea38'),
    NEW_MESSAGE("enty-new-message",'\ue913'),
    NOTE("enty-note",'\ue943'),
    NOTIFICATION("enty-notification",'\ue912'),
    NOTIFICATIONS_OFF("enty-notifications-off",'\uea3f'),
    OLD_MOBILE("enty-old-mobile",'\ue911'),
    OLD_PHONE("enty-old-phone",'\ue910'),
    ONEDRIVE("enty-onedrive",'\uea75'),
    OPEN_BOOK("enty-open-book",'\ue9f3'),
    PALETTE("enty-palette",'\ue93f'),
    PAPER_PLANE("enty-paper-plane",'\ue90f'),
    PAYPAL("enty-paypal",'\uea84'),
    PENCIL("enty-pencil",'\ue97c'),
    PHONE("enty-phone",'\ue90e'),
    PICASA("enty-picasa",'\uea80'),
    PIE_CHART("enty-pie-chart",'\ue99f'),
    PIN("enty-pin",'\ue94d'),
    PINTEREST("enty-pinterest",'\uea58'),
    PINTEREST_WITH_CIRCLE("enty-pinterest-with-circle",'\uea57'),
    PLUS("enty-plus",'\ue9b1'),
    POPUP("enty-popup",'\ue92e'),
    POWER_PLUG("enty-power-plug",'\ue939'),
    PRICE_RIBBON("enty-price-ribbon",'\ue947'),
    PRICE_TAG("enty-price-tag",'\ue93a'),
    PRINT("enty-print",'\ue932'),
    PROGRESS_EMPTY("enty-progress-empty",'\ue984'),
    PROGRESS_FULL("enty-progress-full",'\ue981'),
    PROGRESS_ONE("enty-progress-one",'\ue983'),
    PROGRESS_TWO("enty-progress-two",'\ue982'),
    PUBLISH("enty-publish",'\ue980'),
    QQ("enty-qq",'\uea76'),
    QQ_WITH_CIRCLE("enty-qq-with-circle",'\uea8c'),
    QUOTE("enty-quote",'\ue92c'),
    RADIO("enty-radio",'\ue978'),
    RAFT("enty-raft",'\uea8d'),
    RAFT_WITH_CIRCLE("enty-raft-with-circle",'\uea8e'),
    RAINBOW("enty-rainbow",'\uea89'),
    RDIO("enty-rdio",'\uea62'),
    RDIO_WITH_CIRCLE("enty-rdio-with-circle",'\uea63'),
    REMOVE_USER("enty-remove-user",'\uea31'),
    RENREN("enty-renren",'\uea7d'),
    REPLY("enty-reply",'\ue90c'),
    REPLY_ALL("enty-reply-all",'\ue90d'),
    RESIZE_100("enty-resize-100",'\ue9fc'),
    RESIZE_FULL_SCREEN("enty-resize-full-screen",'\ue9fb'),
    RETWEET("enty-retweet",'\ue9c1'),
    ROCKET("enty-rocket",'\ue971'),
    ROUND_BRUSH("enty-round-brush",'\ue97a'),
    RSS("enty-rss",'\ue999'),
    RULER("enty-ruler",'\ue973'),
    SAVE("enty-save",'\ue9eb'),
    SCISSORS("enty-scissors",'\ue97e'),
    SCRIBD("enty-scribd",'\uea7b'),
    SELECT_ARROWS("enty-select-arrows",'\uea29'),
    SHARE("enty-share",'\ue90a'),
    SHAREABLE("enty-shareable",'\ue909'),
    SHARE_ALTERNATIVE("enty-share-alternative",'\ue90b'),
    SHIELD("enty-shield",'\ue950'),
    SHOP("enty-shop",'\ue98e'),
    SHOPPING_BAG("enty-shopping-bag",'\ue990'),
    SHOPPING_BASKET("enty-shopping-basket",'\ue991'),
    SHOPPING_CART("enty-shopping-cart",'\ue98f'),
    SHUFFLE("enty-shuffle",'\ue9bc'),
    SIGNAL("enty-signal",'\ue99a'),
    SINA_WEIBO("enty-sina-weibo",'\uea7e'),
    SKYPE("enty-skype",'\uea6f'),
    SKYPE_WITH_CIRCLE("enty-skype-with-circle",'\uea70'),
    SLIDESHARE("enty-slideshare",'\uea78'),
    SMASHING("enty-smashing",'\uea85'),
    SOUND("enty-sound",'\ue9fe'),
    SOUNDCLOUD("enty-soundcloud",'\uea81'),
    SOUND_MIX("enty-sound-mix",'\ue988'),
    SOUND_MUTE("enty-sound-mute",'\ue9ff'),
    SPORTS_CLUB("enty-sports-club",'\ue9e3'),
    SPOTIFY("enty-spotify",'\uea64'),
    SPOTIFY_WITH_CIRCLE("enty-spotify-with-circle",'\uea65'),
    SPREADSHEET("enty-spreadsheet",'\ue9d8'),
    SQUARED_CROSS("enty-squared-cross",'\ue9ac'),
    SQUARED_MINUS("enty-squared-minus",'\ue9aa'),
    SQUARED_PLUS("enty-squared-plus",'\ue9ab'),
    STAR("enty-star",'\ue907'),
    STAR_OUTLINED("enty-star-outlined",'\ue908'),
    STOPWATCH("enty-stopwatch",'\ue968'),
    STUMBLEUPON("enty-stumbleupon",'\uea5e'),
    STUMBLEUPON_WITH_CIRCLE("enty-stumbleupon-with-circle",'\uea5f'),
    SUITCASE("enty-suitcase",'\ue975'),
    SWAP("enty-swap",'\ue9c2'),
    SWARM("enty-swarm",'\uea7c'),
    SWEDEN("enty-sweden",'\ue99d'),
    SWITCH("enty-switch",'\ue9a7'),
    TABLET("enty-tablet",'\ue906'),
    TABLET_MOBILE_COMBO("enty-tablet-mobile-combo",'\uea39'),
    TAG("enty-tag",'\ue9ca'),
    TEXT("enty-text",'\ue9d0'),
    TEXT_DOCUMENT("enty-text-document",'\ue9d6'),
    TEXT_DOCUMENT_INVERTED("enty-text-document-inverted",'\ue9d7'),
    THERMOMETER("enty-thermometer",'\ue99b'),
    THUMBS_DOWN("enty-thumbs-down",'\ue905'),
    THUMBS_UP("enty-thumbs-up",'\ue904'),
    THUNDER_CLOUD("enty-thunder-cloud",'\ue95b'),
    TICKET("enty-ticket",'\ue998'),
    TIME_SLOT("enty-time-slot",'\ue9e5'),
    TOOLS("enty-tools",'\ue937'),
    TRAFFIC_CONE("enty-traffic-cone",'\ue976'),
    TRASH("enty-trash",'\ue9e8'),
    TREE("enty-tree",'\ue962'),
    TRIANGLE_DOWN("enty-triangle-down",'\uea12'),
    TRIANGLE_LEFT("enty-triangle-left",'\uea11'),
    TRIANGLE_RIGHT("enty-triangle-right",'\uea14'),
    TRIANGLE_UP("enty-triangle-up",'\uea13'),
    TRIPADVISOR("enty-tripadvisor",'\uea88'),
    TROPHY("enty-trophy",'\ue938'),
    TUMBLR("enty-tumblr",'\uea59'),
    TUMBLR_WITH_CIRCLE("enty-tumblr-with-circle",'\uea5a'),
    TV("enty-tv",'\ue98a'),
    TWITTER("enty-twitter",'\uea52'),
    TWITTER_WITH_CIRCLE("enty-twitter-with-circle",'\uea51'),
    TYPING("enty-typing",'\ue92b'),
    UNINSTALL("enty-uninstall",'\ue9ed'),
    UNREAD("enty-unread",'\ue9cf'),
    UNTAG("enty-untag",'\ue9cb'),
    UPLOAD("enty-upload",'\ue9e9'),
    UPLOAD_TO_CLOUD("enty-upload-to-cloud",'\ue9ef'),
    USER("enty-user",'\ue903'),
    USERS("enty-users",'\ue902'),
    VIDEO("enty-video",'\ue9dd'),
    VIDEO_CAMERA("enty-video-camera",'\uea3b'),
    VIMEO("enty-vimeo",'\uea4f'),
    VIMEO_WITH_CIRCLE("enty-vimeo-with-circle",'\uea50'),
    VINE("enty-vine",'\uea69'),
    VINE_WITH_CIRCLE("enty-vine-with-circle",'\uea6a'),
    VINYL("enty-vinyl",'\ue95d'),
    VK("enty-vk",'\uea66'),
    VK_ALTERNITIVE("enty-vk-alternitive",'\uea67'),
    VK_WITH_CIRCLE("enty-vk-with-circle",'\uea68'),
    VOICEMAIL("enty-voicemail",'\ue994'),
    V_CARD("enty-v-card",'\ue901'),
    WALLET("enty-wallet",'\ue992'),
    WARNING("enty-warning",'\uea34'),
    WATER("enty-water",'\ue99c'),
    WINDOWS_STORE("enty-windows-store",'\uea94'),
    XING("enty-xing",'\uea6b'),
    XING_WITH_CIRCLE("enty-xing-with-circle",'\uea6c'),
    YELP("enty-yelp",'\uea71'),
    YOUKO("enty-youko",'\uea8a'),
    YOUKO_WITH_CIRCLE("enty-youko-with-circle",'\uea8b'),
    YOUTUBE("enty-youtube",'\uea4e'),
    YOUTUBE_WITH_CIRCLE("enty-youtube-with-circle",'\uea4d');

    public static Entypo findByDescription(String description) {
        for (Entypo font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Entypo(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}