/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2020 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.icomoon;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Icomoon implements Ikon {
    // latest is eaea
    ICM_ACCESSIBILITY("icm-accessibility", '\ue9b2'),
    ICM_ADDRESS_BOOK("icm-address-book", '\ue944'),
    ICM_AID_KIT("icm-aid-kit", '\ue998'),
    ICM_AIRPLANE("icm-airplane", '\ue9af'),
    ICM_ALARM("icm-alarm", '\ue950'),
    ICM_AMAZON("icm-amazon", '\uea87'),
    ICM_ANDROID("icm-android", '\ueac0'),
    ICM_ANGRY("icm-angry", '\ue9ed'),
    ICM_ANGRY2("icm-angry2", '\ue9ee'),
    ICM_APPLEINC("icm-appleinc", '\ueabe'),
    ICM_ARROW_DOWN("icm-arrow-down", '\uea36'),
    ICM_ARROW_DOWN2("icm-arrow-down2", '\uea3e'),
    ICM_ARROW_DOWN_LEFT("icm-arrow-down-left", '\uea37'),
    ICM_ARROW_DOWN_LEFT2("icm-arrow-down-left2", '\uea3f'),
    ICM_ARROW_DOWN_RIGHT("icm-arrow-down-right", '\uea35'),
    ICM_ARROW_DOWN_RIGHT2("icm-arrow-down-right2", '\uea3d'),
    ICM_ARROW_LEFT("icm-arrow-left", '\uea38'),
    ICM_ARROW_LEFT2("icm-arrow-left2", '\uea40'),
    ICM_ARROW_RIGHT("icm-arrow-right", '\uea34'),
    ICM_ARROW_RIGHT2("icm-arrow-right2", '\uea3c'),
    ICM_ARROW_UP("icm-arrow-up", '\uea32'),
    ICM_ARROW_UP2("icm-arrow-up2", '\uea3a'),
    ICM_ARROW_UP_LEFT("icm-arrow-up-left", '\uea31'),
    ICM_ARROW_UP_LEFT2("icm-arrow-up-left2", '\uea39'),
    ICM_ARROW_UP_RIGHT("icm-arrow-up-right", '\uea33'),
    ICM_ARROW_UP_RIGHT2("icm-arrow-up-right2", '\uea3b'),
    ICM_ATTACHMENT("icm-attachment", '\ue9cd'),
    ICM_BACKWARD("icm-backward", '\uea1a'),
    ICM_BACKWARD2("icm-backward2", '\uea1f'),
    ICM_BAFFLED("icm-baffled", '\ue9f3'),
    ICM_BAFFLED2("icm-baffled2", '\ue9f4'),
    ICM_BARCODE("icm-barcode", '\ue937'),
    ICM_BASECAMP("icm-basecamp", '\ueab2'),
    ICM_BEHANCE("icm-behance", '\ueaa8'),
    ICM_BEHANCE2("icm-behance2", '\ueaa9'),
    ICM_BELL("icm-bell", '\ue951'),
    ICM_BIN("icm-bin", '\ue9ac'),
    ICM_BIN2("icm-bin2", '\ue9ad'),
    ICM_BINOCULARS("icm-binoculars", '\ue985'),
    ICM_BLOCKED("icm-blocked", '\uea0e'),
    ICM_BLOG("icm-blog", '\ue909'),
    ICM_BLOGGER("icm-blogger", '\ueab7'),
    ICM_BLOGGER2("icm-blogger2", '\ueab8'),
    ICM_BOLD("icm-bold", '\uea62'),
    ICM_BOOK("icm-book", '\ue91f'),
    ICM_BOOKMARK("icm-bookmark", '\ue9d2'),
    ICM_BOOKMARKS("icm-bookmarks", '\ue9d3'),
    ICM_BOOKS("icm-books", '\ue920'),
    ICM_BOX_ADD("icm-box-add", '\ue95e'),
    ICM_BOX_REMOVE("icm-box-remove", '\ue95f'),
    ICM_BRIEFCASE("icm-briefcase", '\ue9ae'),
    ICM_BRIGHTNESS_CONTRAST("icm-brightness-contrast", '\ue9d6'),
    ICM_BUBBLE("icm-bubble", '\ue96b'),
    ICM_BUBBLE2("icm-bubble2", '\ue96e'),
    ICM_BUBBLES("icm-bubbles", '\ue96c'),
    ICM_BUBBLES2("icm-bubbles2", '\ue96d'),
    ICM_BUBBLES3("icm-bubbles3", '\ue96f'),
    ICM_BUBBLES4("icm-bubbles4", '\ue970'),
    ICM_BUG("icm-bug", '\ue999'),
    ICM_BULLHORN("icm-bullhorn", '\ue91a'),
    ICM_CALCULATOR("icm-calculator", '\ue940'),
    ICM_CALENDAR("icm-calendar", '\ue953'),
    ICM_CAMERA("icm-camera", '\ue90f'),
    ICM_CANCEL_CIRCLE("icm-cancel-circle", '\uea0d'),
    ICM_CART("icm-cart", '\ue93a'),
    ICM_CHECKBOX_CHECKED("icm-checkbox-checked", '\uea52'),
    ICM_CHECKBOX_UNCHECKED("icm-checkbox-unchecked", '\uea53'),
    ICM_CHECKMARK("icm-checkmark", '\uea10'),
    ICM_CHECKMARK2("icm-checkmark2", '\uea11'),
    ICM_CHROME("icm-chrome", '\uead9'),
    ICM_CIRCLE_DOWN("icm-circle-down", '\uea43'),
    ICM_CIRCLE_LEFT("icm-circle-left", '\uea44'),
    ICM_CIRCLE_RIGHT("icm-circle-right", '\uea42'),
    ICM_CIRCLE_UP("icm-circle-up", '\uea41'),
    ICM_CLEAR_FORMATTING("icm-clear-formatting", '\uea6f'),
    ICM_CLIPBOARD("icm-clipboard", '\ue9b8'),
    ICM_CLOCK("icm-clock", '\ue94e'),
    ICM_CLOCK2("icm-clock2", '\ue94f'),
    ICM_CLOUD("icm-cloud", '\ue9c1'),
    ICM_CLOUD_CHECK("icm-cloud-check", '\ue9c4'),
    ICM_CLOUD_DOWNLOAD("icm-cloud-download", '\ue9c2'),
    ICM_CLOUD_UPLOAD("icm-cloud-upload", '\ue9c3'),
    ICM_CLUBS("icm-clubs", '\ue918'),
    ICM_CODEPEN("icm-codepen", '\ueae8'),
    ICM_COG("icm-cog", '\ue994'),
    ICM_COGS("icm-cogs", '\ue995'),
    ICM_COIN_DOLLAR("icm-coin-dollar", '\ue93b'),
    ICM_COIN_EURO("icm-coin-euro", '\ue93c'),
    ICM_COIN_POUND("icm-coin-pound", '\ue93d'),
    ICM_COIN_YEN("icm-coin-yen", '\ue93e'),
    ICM_COMMAND("icm-command", '\uea4e'),
    ICM_COMPASS("icm-compass", '\ue949'),
    ICM_COMPASS2("icm-compass2", '\ue94a'),
    ICM_CONFUSED("icm-confused", '\ue9f5'),
    ICM_CONFUSED2("icm-confused2", '\ue9f6'),
    ICM_CONNECTION("icm-connection", '\ue91b'),
    ICM_CONTRAST("icm-contrast", '\ue9d5'),
    ICM_COOL("icm-cool", '\ue9eb'),
    ICM_COOL2("icm-cool2", '\ue9ec'),
    ICM_COPY("icm-copy", '\ue92c'),
    ICM_CREDIT_CARD("icm-credit-card", '\ue93f'),
    ICM_CROP("icm-crop", '\uea57'),
    ICM_CROSS("icm-cross", '\uea0f'),
    ICM_CRYING("icm-crying", '\uea01'),
    ICM_CRYING2("icm-crying2", '\uea02'),
    ICM_CSS3("icm-css3", '\ueae6'),
    ICM_CTRL("icm-ctrl", '\uea50'),
    ICM_DATABASE("icm-database", '\ue964'),
    ICM_DELICIOUS("icm-delicious", '\ueacd'),
    ICM_DEVIANTART("icm-deviantart", '\ueaaa'),
    ICM_DIAMONDS("icm-diamonds", '\ue919'),
    ICM_DICE("icm-dice", '\ue915'),
    ICM_DISPLAY("icm-display", '\ue956'),
    ICM_DOWNLOAD("icm-download", '\ue960'),
    ICM_DOWNLOAD2("icm-download2", '\ue9c5'),
    ICM_DOWNLOAD3("icm-download3", '\ue9c7'),
    ICM_DRAWER("icm-drawer", '\ue95c'),
    ICM_DRAWER2("icm-drawer2", '\ue95d'),
    ICM_DRIBBBLE("icm-dribbble", '\ueaa7'),
    ICM_DRIVE("icm-drive", '\ue963'),
    ICM_DROPBOX("icm-dropbox", '\ueaae'),
    ICM_DROPLET("icm-droplet", '\ue90b'),
    ICM_EARTH("icm-earth", '\ue9ca'),
    ICM_EDGE("icm-edge", '\ueadc'),
    ICM_EJECT("icm-eject", '\uea25'),
    ICM_ELLO("icm-ello", '\ueab6'),
    ICM_EMBED("icm-embed", '\uea7f'),
    ICM_EMBED2("icm-embed2", '\uea80'),
    ICM_ENLARGE("icm-enlarge", '\ue989'),
    ICM_ENLARGE2("icm-enlarge2", '\ue98b'),
    ICM_ENTER("icm-enter", '\uea13'),
    ICM_ENVELOP("icm-envelop", '\ue945'),
    ICM_EQUALIZER("icm-equalizer", '\ue992'),
    ICM_EQUALIZER2("icm-equalizer2", '\ue993'),
    ICM_EVIL("icm-evil", '\ue9ef'),
    ICM_EVIL2("icm-evil2", '\ue9f0'),
    ICM_EXIT("icm-exit", '\uea14'),
    ICM_EYE("icm-eye", '\ue9ce'),
    ICM_EYEDROPPER("icm-eyedropper", '\ue90a'),
    ICM_EYE_BLOCKED("icm-eye-blocked", '\ue9d1'),
    ICM_EYE_MINUS("icm-eye-minus", '\ue9d0'),
    ICM_EYE_PLUS("icm-eye-plus", '\ue9cf'),
    ICM_FACEBOOK("icm-facebook", '\uea90'),
    ICM_FACEBOOK2("icm-facebook2", '\uea91'),
    ICM_FEED("icm-feed", '\ue91d'),
    ICM_FILES_EMPTY("icm-files-empty", '\ue925'),
    ICM_FILE_EMPTY("icm-file-empty", '\ue924'),
    ICM_FILE_EXCEL("icm-file-excel", '\ueae2'),
    ICM_FILE_MUSIC("icm-file-music", '\ue928'),
    ICM_FILE_OPENOFFICE("icm-file-openoffice", '\ueae0'),
    ICM_FILE_PDF("icm-file-pdf", '\ueadf'),
    ICM_FILE_PICTURE("icm-file-picture", '\ue927'),
    ICM_FILE_PLAY("icm-file-play", '\ue929'),
    ICM_FILE_TEXT("icm-file-text", '\ue922'),
    ICM_FILE_TEXT2("icm-file-text2", '\ue926'),
    ICM_FILE_VIDEO("icm-file-video", '\ue92a'),
    ICM_FILE_WORD("icm-file-word", '\ueae1'),
    ICM_FILE_ZIP("icm-file-zip", '\ue92b'),
    ICM_FILM("icm-film", '\ue913'),
    ICM_FILTER("icm-filter", '\uea5b'),
    ICM_FINDER("icm-finder", '\ueabf'),
    ICM_FIRE("icm-fire", '\ue9a9'),
    ICM_FIREFOX("icm-firefox", '\ueada'),
    ICM_FIRST("icm-first", '\uea21'),
    ICM_FLAG("icm-flag", '\ue9cc'),
    ICM_FLATTR("icm-flattr", '\uead5'),
    ICM_FLICKR("icm-flickr", '\ueaa3'),
    ICM_FLICKR2("icm-flickr2", '\ueaa4'),
    ICM_FLICKR3("icm-flickr3", '\ueaa5'),
    ICM_FLICKR4("icm-flickr4", '\ueaa6'),
    ICM_FLOPPY_DISK("icm-floppy-disk", '\ue962'),
    ICM_FOLDER("icm-folder", '\ue92f'),
    ICM_FOLDER_DOWNLOAD("icm-folder-download", '\ue933'),
    ICM_FOLDER_MINUS("icm-folder-minus", '\ue932'),
    ICM_FOLDER_OPEN("icm-folder-open", '\ue930'),
    ICM_FOLDER_PLUS("icm-folder-plus", '\ue931'),
    ICM_FOLDER_UPLOAD("icm-folder-upload", '\ue934'),
    ICM_FONT("icm-font", '\uea5c'),
    ICM_FONT_SIZE("icm-font-size", '\uea61'),
    ICM_FORWARD("icm-forward", '\ue969'),
    ICM_FORWARD2("icm-forward2", '\uea1b'),
    ICM_FORWARD3("icm-forward3", '\uea20'),
    ICM_FOURSQUARE("icm-foursquare", '\uead6'),
    ICM_FRUSTRATED("icm-frustrated", '\ue9ff'),
    ICM_FRUSTRATED2("icm-frustrated2", '\uea00'),
    ICM_GIFT("icm-gift", '\ue99f'),
    ICM_GIT("icm-git", '\ueae7'),
    ICM_GITHUB("icm-github", '\ueab0'),
    ICM_GLASS("icm-glass", '\ue9a0'),
    ICM_GLASS2("icm-glass2", '\ue9a1'),
    ICM_GOOGLE("icm-google", '\uea88'),
    ICM_GOOGLE2("icm-google2", '\uea89'),
    ICM_GOOGLE3("icm-google3", '\uea8a'),
    ICM_GOOGLE_DRIVE("icm-google-drive", '\uea8f'),
    ICM_GOOGLE_PLUS("icm-google-plus", '\uea8b'),
    ICM_GOOGLE_PLUS2("icm-google-plus2", '\uea8c'),
    ICM_GOOGLE_PLUS3("icm-google-plus3", '\uea8d'),
    ICM_GRIN("icm-grin", '\ue9e9'),
    ICM_GRIN2("icm-grin2", '\ue9ea'),
    ICM_HACKERNEWS("icm-hackernews", '\ueac7'),
    ICM_HAMMER("icm-hammer", '\ue996'),
    ICM_HAMMER2("icm-hammer2", '\ue9a8'),
    ICM_HANGOUTS("icm-hangouts", '\uea8e'),
    ICM_HAPPY("icm-happy", '\ue9df'),
    ICM_HAPPY2("icm-happy2", '\ue9e0'),
    ICM_HEADPHONES("icm-headphones", '\ue910'),
    ICM_HEART("icm-heart", '\ue9da'),
    ICM_HEART_BROKEN("icm-heart-broken", '\ue9db'),
    ICM_HIPSTER("icm-hipster", '\ue9f9'),
    ICM_HIPSTER2("icm-hipster2", '\ue9fa'),
    ICM_HISTORY("icm-history", '\ue94d'),
    ICM_HOME("icm-home", '\ue900'),
    ICM_HOME2("icm-home2", '\ue901'),
    ICM_HOME3("icm-home3", '\ue902'),
    ICM_HOUR_GLASS("icm-hour-glass", '\ue979'),
    ICM_HTML_FIVE("icm-html-five", '\ueae4'),
    ICM_HTML_FIVE2("icm-html-five2", '\ueae5'),
    ICM_ICOMOON("icm-icomoon", '\ueaea'),
    ICM_IE("icm-ie", '\ueadb'),
    ICM_IMAGE("icm-image", '\ue90d'),
    ICM_IMAGES("icm-images", '\ue90e'),
    ICM_INDENT_DECREASE("icm-indent-decrease", '\uea7c'),
    ICM_INDENT_INCREASE("icm-indent-increase", '\uea7b'),
    ICM_INFINITE("icm-infinite", '\uea2f'),
    ICM_INFO("icm-info", '\uea0c'),
    ICM_INSERT_TEMPLATE("icm-insert-template", '\uea72'),
    ICM_INSTAGRAM("icm-instagram", '\uea92'),
    ICM_ITALIC("icm-italic", '\uea64'),
    ICM_JOOMLA("icm-joomla", '\ueab5'),
    ICM_KEY("icm-key", '\ue98d'),
    ICM_KEY2("icm-key2", '\ue98e'),
    ICM_KEYBOARD("icm-keyboard", '\ue955'),
    ICM_LAB("icm-lab", '\ue9aa'),
    ICM_LANYRD("icm-lanyrd", '\ueaa2'),
    ICM_LAPTOP("icm-laptop", '\ue957'),
    ICM_LAST("icm-last", '\uea22'),
    ICM_LASTFM("icm-lastfm", '\ueacb'),
    ICM_LASTFM2("icm-lastfm2", '\ueacc'),
    ICM_LEAF("icm-leaf", '\ue9a4'),
    ICM_LIBRARY("icm-library", '\ue921'),
    ICM_LIBREOFFICE("icm-libreoffice", '\ueae3'),
    ICM_LIFEBUOY("icm-lifebuoy", '\ue941'),
    ICM_LIGATURE("icm-ligature", '\uea5d'),
    ICM_LIGATURE2("icm-ligature2", '\uea5e'),
    ICM_LINK("icm-link", '\ue9cb'),
    ICM_LINKEDIN("icm-linkedin", '\ueac9'),
    ICM_LINKEDIN2("icm-linkedin2", '\ueaca'),
    ICM_LIST("icm-list", '\ue9ba'),
    ICM_LIST2("icm-list2", '\ue9bb'),
    ICM_LIST_NUMBERED("icm-list-numbered", '\ue9b9'),
    ICM_LOCATION("icm-location", '\ue947'),
    ICM_LOCATION2("icm-location2", '\ue948'),
    ICM_LOCK("icm-lock", '\ue98f'),
    ICM_LOOP("icm-loop", '\uea2d'),
    ICM_LOOP2("icm-loop2", '\uea2e'),
    ICM_LTR("icm-ltr", '\uea74'),
    ICM_MAGIC_WAND("icm-magic-wand", '\ue997'),
    ICM_MAGNET("icm-magnet", '\ue9ab'),
    ICM_MAIL("icm-mail", '\uea83'),
    ICM_MAIL2("icm-mail2", '\uea84'),
    ICM_MAIL3("icm-mail3", '\uea85'),
    ICM_MAIL4("icm-mail4", '\uea86'),
    ICM_MAKE_GROUP("icm-make-group", '\uea58'),
    ICM_MAN("icm-man", '\ue9dc'),
    ICM_MAN_WOMAN("icm-man-woman", '\ue9de'),
    ICM_MAP("icm-map", '\ue94b'),
    ICM_MAP2("icm-map2", '\ue94c'),
    ICM_MENU("icm-menu", '\ue9bd'),
    ICM_MENU2("icm-menu2", '\ue9be'),
    ICM_MENU3("icm-menu3", '\ue9bf'),
    ICM_MENU4("icm-menu4", '\ue9c0'),
    ICM_METER("icm-meter", '\ue9a6'),
    ICM_METER2("icm-meter2", '\ue9a7'),
    ICM_MIC("icm-mic", '\ue91e'),
    ICM_MINUS("icm-minus", '\uea0b'),
    ICM_MOBILE("icm-mobile", '\ue958'),
    ICM_MOBILE2("icm-mobile2", '\ue959'),
    ICM_MOVE_DOWN("icm-move-down", '\uea47'),
    ICM_MOVE_UP("icm-move-up", '\uea46'),
    ICM_MUG("icm-mug", '\ue9a2'),
    ICM_MUSIC("icm-music", '\ue911'),
    ICM_NEUTRAL("icm-neutral", '\ue9f7'),
    ICM_NEUTRAL2("icm-neutral2", '\ue9f8'),
    ICM_NEWSPAPER("icm-newspaper", '\ue904'),
    ICM_NEW_TAB("icm-new-tab", '\uea7e'),
    ICM_NEXT("icm-next", '\uea19'),
    ICM_NEXT2("icm-next2", '\uea24'),
    ICM_NOTIFICATION("icm-notification", '\uea08'),
    ICM_NPM("icm-npm", '\ueab1'),
    ICM_OFFICE("icm-office", '\ue903'),
    ICM_OMEGA("icm-omega", '\uea66'),
    ICM_ONEDRIVE("icm-onedrive", '\ueaaf'),
    ICM_OPERA("icm-opera", '\ueade'),
    ICM_OPT("icm-opt", '\uea51'),
    ICM_PACMAN("icm-pacman", '\ue916'),
    ICM_PAGEBREAK("icm-pagebreak", '\uea6e'),
    ICM_PAGE_BREAK("icm-page-break", '\uea68'),
    ICM_PAINT_FORMAT("icm-paint-format", '\ue90c'),
    ICM_PARAGRAPH_CENTER("icm-paragraph-center", '\uea78'),
    ICM_PARAGRAPH_JUSTIFY("icm-paragraph-justify", '\uea7a'),
    ICM_PARAGRAPH_LEFT("icm-paragraph-left", '\uea77'),
    ICM_PARAGRAPH_RIGHT("icm-paragraph-right", '\uea79'),
    ICM_PASTE("icm-paste", '\ue92d'),
    ICM_PAUSE("icm-pause", '\uea16'),
    ICM_PAUSE2("icm-pause2", '\uea1d'),
    ICM_PAYPAL("icm-paypal", '\uead8'),
    ICM_PEN("icm-pen", '\ue908'),
    ICM_PENCIL("icm-pencil", '\ue905'),
    ICM_PENCIL2("icm-pencil2", '\ue906'),
    ICM_PHONE("icm-phone", '\ue942'),
    ICM_PHONE_HANG_UP("icm-phone-hang-up", '\ue943'),
    ICM_PIE_CHART("icm-pie-chart", '\ue99a'),
    ICM_PILCROW("icm-pilcrow", '\uea73'),
    ICM_PINTEREST("icm-pinterest", '\uead1'),
    ICM_PINTEREST2("icm-pinterest2", '\uead2'),
    ICM_PLAY("icm-play", '\ue912'),
    ICM_PLAY2("icm-play2", '\uea15'),
    ICM_PLAY3("icm-play3", '\uea1c'),
    ICM_PLUS("icm-plus", '\uea0a'),
    ICM_PODCAST("icm-podcast", '\ue91c'),
    ICM_POINT_DOWN("icm-point-down", '\uea05'),
    ICM_POINT_LEFT("icm-point-left", '\uea06'),
    ICM_POINT_RIGHT("icm-point-right", '\uea04'),
    ICM_POINT_UP("icm-point-up", '\uea03'),
    ICM_POWER("icm-power", '\ue9b5'),
    ICM_POWER_CORD("icm-power-cord", '\ue9b7'),
    ICM_PREVIOUS("icm-previous", '\uea18'),
    ICM_PREVIOUS2("icm-previous2", '\uea23'),
    ICM_PRICE_TAG("icm-price-tag", '\ue935'),
    ICM_PRICE_TAGS("icm-price-tags", '\ue936'),
    ICM_PRINTER("icm-printer", '\ue954'),
    ICM_PROFILE("icm-profile", '\ue923'),
    ICM_PUSHPIN("icm-pushpin", '\ue946'),
    ICM_QRCODE("icm-qrcode", '\ue938'),
    ICM_QUESTION("icm-question", '\uea09'),
    ICM_QUILL("icm-quill", '\ue907'),
    ICM_QUOTES_LEFT("icm-quotes-left", '\ue977'),
    ICM_QUOTES_RIGHT("icm-quotes-right", '\ue978'),
    ICM_RADIO_CHECKED("icm-radio-checked", '\uea54'),
    ICM_RADIO_CHECKED2("icm-radio-checked2", '\uea55'),
    ICM_RADIO_UNCHECKED("icm-radio-unchecked", '\uea56'),
    ICM_REDDIT("icm-reddit", '\ueac6'),
    ICM_REDO("icm-redo", '\ue966'),
    ICM_REDO2("icm-redo2", '\ue968'),
    ICM_RENREN("icm-renren", '\uea99'),
    ICM_REPLY("icm-reply", '\ue96a'),
    ICM_ROAD("icm-road", '\ue9b1'),
    ICM_ROCKET("icm-rocket", '\ue9a5'),
    ICM_RSS("icm-rss", '\uea9b'),
    ICM_RSS2("icm-rss2", '\uea9c'),
    ICM_RTL("icm-rtl", '\uea75'),
    ICM_S500PX("icm-s500px", '\ueaab'),
    ICM_SAD("icm-sad", '\ue9e5'),
    ICM_SAD2("icm-sad2", '\ue9e6'),
    ICM_SAFARI("icm-safari", '\ueadd'),
    ICM_SCISSORS("icm-scissors", '\uea5a'),
    ICM_SEARCH("icm-search", '\ue986'),
    ICM_SECTION("icm-section", '\uea76'),
    ICM_SHARE("icm-share", '\uea7d'),
    ICM_SHARE2("icm-share2", '\uea82'),
    ICM_SHIELD("icm-shield", '\ue9b4'),
    ICM_SHIFT("icm-shift", '\uea4f'),
    ICM_SHOCKED("icm-shocked", '\ue9f1'),
    ICM_SHOCKED2("icm-shocked2", '\ue9f2'),
    ICM_SHRINK("icm-shrink", '\ue98a'),
    ICM_SHRINK2("icm-shrink2", '\ue98c'),
    ICM_SHUFFLE("icm-shuffle", '\uea30'),
    ICM_SIGMA("icm-sigma", '\uea67'),
    ICM_SINA_WEIBO("icm-sina-weibo", '\uea9a'),
    ICM_SKYPE("icm-skype", '\ueac5'),
    ICM_SLEEPY("icm-sleepy", '\ue9fd'),
    ICM_SLEEPY2("icm-sleepy2", '\ue9fe'),
    ICM_SMILE("icm-smile", '\ue9e1'),
    ICM_SMILE2("icm-smile2", '\ue9e2'),
    ICM_SORT_ALPHA_ASC("icm-sort-alpha-asc", '\uea48'),
    ICM_SORT_ALPHA_DESC("icm-sort-alpha-desc", '\uea49'),
    ICM_SORT_AMOUNT_ASC("icm-sort-amount-asc", '\uea4c'),
    ICM_SORT_AMOUNT_DESC("icm-sort-amount-desc", '\uea4d'),
    ICM_SORT_NUMBERIC_DESC("icm-sort-numberic-desc", '\uea4b'),
    ICM_SORT_NUMERIC_ASC("icm-sort-numeric-asc", '\uea4a'),
    ICM_SOUNDCLOUD("icm-soundcloud", '\ueac3'),
    ICM_SOUNDCLOUD2("icm-soundcloud2", '\ueac4'),
    ICM_SPADES("icm-spades", '\ue917'),
    ICM_SPELL_CHECK("icm-spell-check", '\uea12'),
    ICM_SPHERE("icm-sphere", '\ue9c9'),
    ICM_SPINNER("icm-spinner", '\ue97a'),
    ICM_SPINNER10("icm-spinner10", '\ue983'),
    ICM_SPINNER11("icm-spinner11", '\ue984'),
    ICM_SPINNER2("icm-spinner2", '\ue97b'),
    ICM_SPINNER3("icm-spinner3", '\ue97c'),
    ICM_SPINNER4("icm-spinner4", '\ue97d'),
    ICM_SPINNER5("icm-spinner5", '\ue97e'),
    ICM_SPINNER6("icm-spinner6", '\ue97f'),
    ICM_SPINNER7("icm-spinner7", '\ue980'),
    ICM_SPINNER8("icm-spinner8", '\ue981'),
    ICM_SPINNER9("icm-spinner9", '\ue982'),
    ICM_SPOON_KNIFE("icm-spoon-knife", '\ue9a3'),
    ICM_SPOTIFY("icm-spotify", '\uea94'),
    ICM_STACK("icm-stack", '\ue92e'),
    ICM_STACKOVERFLOW("icm-stackoverflow", '\uead0'),
    ICM_STAR_EMPTY("icm-star-empty", '\ue9d7'),
    ICM_STAR_FULL("icm-star-full", '\ue9d9'),
    ICM_STAR_HALF("icm-star-half", '\ue9d8'),
    ICM_STATS_BARS("icm-stats-bars", '\ue99c'),
    ICM_STATS_BARS2("icm-stats-bars2", '\ue99d'),
    ICM_STATS_DOTS("icm-stats-dots", '\ue99b'),
    ICM_STEAM("icm-steam", '\ueaac'),
    ICM_STEAM2("icm-steam2", '\ueaad'),
    ICM_STOP("icm-stop", '\uea17'),
    ICM_STOP2("icm-stop2", '\uea1e'),
    ICM_STOPWATCH("icm-stopwatch", '\ue952'),
    ICM_STRIKETHROUGH("icm-strikethrough", '\uea65'),
    ICM_STUMBLEUPON("icm-stumbleupon", '\ueace'),
    ICM_STUMBLEUPON2("icm-stumbleupon2", '\ueacf'),
    ICM_SUBSCRIPT("icm-subscript", '\uea6a'),
    ICM_SUBSCRIPT2("icm-subscript2", '\uea6c'),
    ICM_SUN("icm-sun", '\ue9d4'),
    ICM_SUPERSCRIPT("icm-superscript", '\uea69'),
    ICM_SUPERSCRIPT2("icm-superscript2", '\uea6b'),
    ICM_SVG("icm-svg", '\ueae9'),
    ICM_SWITCH("icm-switch", '\ue9b6'),
    ICM_TAB("icm-tab", '\uea45'),
    ICM_TABLE("icm-table", '\uea70'),
    ICM_TABLE2("icm-table2", '\uea71'),
    ICM_TABLET("icm-tablet", '\ue95a'),
    ICM_TARGET("icm-target", '\ue9b3'),
    ICM_TELEGRAM("icm-telegram", '\uea95'),
    ICM_TERMINAL("icm-terminal", '\uea81'),
    ICM_TEXT_COLOR("icm-text-color", '\uea6d'),
    ICM_TEXT_HEIGHT("icm-text-height", '\uea5f'),
    ICM_TEXT_WIDTH("icm-text-width", '\uea60'),
    ICM_TICKET("icm-ticket", '\ue939'),
    ICM_TONGUE("icm-tongue", '\ue9e3'),
    ICM_TONGUE2("icm-tongue2", '\ue9e4'),
    ICM_TREE("icm-tree", '\ue9bc'),
    ICM_TRELLO("icm-trello", '\ueab3'),
    ICM_TROPHY("icm-trophy", '\ue99e'),
    ICM_TRUCK("icm-truck", '\ue9b0'),
    ICM_TUMBLR("icm-tumblr", '\ueab9'),
    ICM_TUMBLR2("icm-tumblr2", '\ueaba'),
    ICM_TUX("icm-tux", '\ueabd'),
    ICM_TV("icm-tv", '\ue95b'),
    ICM_TWITCH("icm-twitch", '\uea9f'),
    ICM_TWITTER("icm-twitter", '\uea96'),
    ICM_UNDERLINE("icm-underline", '\uea63'),
    ICM_UNDO("icm-undo", '\ue965'),
    ICM_UNDO2("icm-undo2", '\ue967'),
    ICM_UNGROUP("icm-ungroup", '\uea59'),
    ICM_UNLOCKED("icm-unlocked", '\ue990'),
    ICM_UPLOAD("icm-upload", '\ue961'),
    ICM_UPLOAD2("icm-upload2", '\ue9c6'),
    ICM_UPLOAD3("icm-upload3", '\ue9c8'),
    ICM_USER("icm-user", '\ue971'),
    ICM_USERS("icm-users", '\ue972'),
    ICM_USER_CHECK("icm-user-check", '\ue975'),
    ICM_USER_MINUS("icm-user-minus", '\ue974'),
    ICM_USER_PLUS("icm-user-plus", '\ue973'),
    ICM_USER_TIE("icm-user-tie", '\ue976'),
    ICM_VIDEO_CAMERA("icm-video-camera", '\ue914'),
    ICM_VIMEO("icm-vimeo", '\ueaa0'),
    ICM_VIMEO2("icm-vimeo2", '\ueaa1'),
    ICM_VINE("icm-vine", '\uea97'),
    ICM_VK("icm-vk", '\uea98'),
    ICM_VOLUME_DECREASE("icm-volume-decrease", '\uea2c'),
    ICM_VOLUME_HIGH("icm-volume-high", '\uea26'),
    ICM_VOLUME_INCREASE("icm-volume-increase", '\uea2b'),
    ICM_VOLUME_LOW("icm-volume-low", '\uea28'),
    ICM_VOLUME_MEDIUM("icm-volume-medium", '\uea27'),
    ICM_VOLUME_MUTE("icm-volume-mute", '\uea29'),
    ICM_VOLUME_MUTE2("icm-volume-mute2", '\uea2a'),
    ICM_WARNING("icm-warning", '\uea07'),
    ICM_WHATSAPP("icm-whatsapp", '\uea93'),
    ICM_WIKIPEDIA("icm-wikipedia", '\ueac8'),
    ICM_WINDOWS("icm-windows", '\ueac1'),
    ICM_WINDOWS8("icm-windows8", '\ueac2'),
    ICM_WINK("icm-wink", '\ue9e7'),
    ICM_WINK2("icm-wink2", '\ue9e8'),
    ICM_WOMAN("icm-woman", '\ue9dd'),
    ICM_WONDERING("icm-wondering", '\ue9fb'),
    ICM_WONDERING2("icm-wondering2", '\ue9fc'),
    ICM_WORDPRESS("icm-wordpress", '\ueab4'),
    ICM_WRENCH("icm-wrench", '\ue991'),
    ICM_XING("icm-xing", '\uead3'),
    ICM_XING2("icm-xing2", '\uead4'),
    ICM_YAHOO("icm-yahoo", '\ueabb'),
    ICM_YAHOO2("icm-yahoo2", '\ueabc'),
    ICM_YELP("icm-yelp", '\uead7'),
    ICM_YOUTUBE("icm-youtube", '\uea9d'),
    ICM_YOUTUBE2("icm-youtube2", '\uea9e'),
    ICM_ZOOM_IN("icm-zoom-in", '\ue987'),
    ICM_ZOOM_OUT("icm-zoom-out", '\ue988');

    public static Icomoon findByDescription(String description) {
        for (Icomoon font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Icomoon(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}